Vai al contenuto

database_api.list_witness_votes ​

Purpose ​

Restituisce un elenco di voti witness (witness vote). Parametri: start:array; limit:int; order:string

  • start dipende da order (vedere sotto)
  • limit è fino a 1000.
  • order può essere uno tra:
    • by_account_witness - ordina per account witness
      • start è un array di due valori: account, witness
    • by_witness_account - ordina per witness account
      • start è un array di due valori: witness, account

| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["", ""] | 10 | "by_withdraw_route" | Interroga i primi 10 voti, ordina per account witness | | ["", ""] | 10 | "by_destination" | Interroga i primi 10 voti, ordina per witness account |

Vedere anche: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_witness_votes",
    "params": {
      "start": [
        "",
        ""
      ],
      "limit": 10,
      "order": "by_account_witness"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_witness_votes",
    "params": {
      "start": [
        "",
        ""
      ],
      "limit": 10,
      "order": "by_witness_account"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "votes": [
    {
      "id": 428961,
      "witness": "aggroed",
      "account": "a-0magic"
    }
  ]
}